package com.cartoon.wallpapers.live.ui;

import android.content.Intent;
import android.os.CountDownTimer;
import android.view.View;

import com.cartoon.wallpapers.live.base.BaseActivity;
import com.cartoon.wallpapers.live.databinding.SplashActivityBinding;
import com.cartoon.wallpapers.live.topon.AdManager;

import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;

public class SplashActivity extends BaseActivity<SplashActivityBinding> {

    private static final long SPLASH_TIME_OUT = 12000L;
    private CountDownTimer countDownTimer;

    @Override
    protected SplashActivityBinding getViewBinding() {
        return SplashActivityBinding.inflate(getLayoutInflater());
    }

    @Override
    protected void onCreateInit() {

        countDownTimer = AdManager.showWelcomeAd(SplashActivity.this, SPLASH_TIME_OUT, new Function1<Long, Unit>() {
            @Override
            public Unit invoke(Long aLong) {
                float v = 100 - (float) aLong / SPLASH_TIME_OUT * 100;
                int v1 = (int) v;
                vb.progressBar.setProgress(v1);
                return null;
            }
        }, new Function0<Unit>() {
            @Override
            public Unit invoke() {
                vb.progressBar.setProgress(100);
                Intent intent = new Intent(SplashActivity.this, MainActivity.class);
                startActivity(intent);
                finish();
                return null;
            }
        });
        countDownTimer.start();
    }

    @Override
    protected void onInitClick() {

    }

    @Override
    public boolean isFullScreen() {
        return true;
    }

    @Override
    public boolean statusBarLight() {
        return false;
    }

    @Override
    public void onClick(View view) {

    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if(countDownTimer!= null){
            countDownTimer.cancel();
            countDownTimer = null;
        }
    }
}